summaryrefslogtreecommitdiff
path: root/dev-php
diff options
context:
space:
mode:
authorAnton Fischl <github@fischl-online.de>2026-06-20 05:42:55 +0200
committerSam James <sam@gentoo.org>2026-06-20 05:44:44 +0100
commit2ead16429b8bdc45b3ebebbfa844ad957c016e39 (patch)
tree521087aaf77306e7b388b5350365420da32e6183 /dev-php
parent48e810f792b2e448ab9c2d96bcb397b57d5eda7f (diff)
dev-php/pecl-http: update PHP compatibility
compatible with PHP8.4 and PHP8.5 tested with PHP8.{3,4,5} Signed-off-by: Anton Fischl <github@fischl-online.de> Part-of: https://codeberg.org/gentoo/gentoo/pulls/1197 Signed-off-by: Sam James <sam@gentoo.org>
Diffstat (limited to 'dev-php')
-rw-r--r--dev-php/pecl-http/pecl-http-4.3.1-r1.ebuild67
1 files changed, 67 insertions, 0 deletions
diff --git a/dev-php/pecl-http/pecl-http-4.3.1-r1.ebuild b/dev-php/pecl-http/pecl-http-4.3.1-r1.ebuild
new file mode 100644
index 000000000000..222c10e5ec85
--- /dev/null
+++ b/dev-php/pecl-http/pecl-http-4.3.1-r1.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="8"
+
+PHP_EXT_NAME="http"
+PHP_EXT_PECL_PKG="pecl_http"
+PHP_EXT_INI="yes"
+PHP_EXT_ZENDEXT="no"
+PHP_INI_NAME="50-http"
+
+USE_PHP="php8-2 php8-3 php8-4 php8-5"
+
+inherit php-ext-pecl-r3
+
+DESCRIPTION="Extended HTTP Support for PHP"
+LICENSE="BSD-2 MIT"
+SLOT="8"
+KEYWORDS="~amd64 ~x86"
+IUSE="ssl curl_ssl_gnutls +curl_ssl_openssl"
+
+COMMON_DEPEND="app-arch/brotli:=
+ dev-libs/libevent
+ >=dev-php/pecl-raphf-2.0.1:7[php_targets_php8-2(-)?,php_targets_php8-3(-)?,php_targets_php8-4(-)?,php_targets_php8-5(-)?]
+ net-dns/libidn2
+ virtual/zlib:=
+ ssl? ( net-misc/curl[ssl,curl_ssl_gnutls(-)=,curl_ssl_openssl(-)=] )
+ !ssl? ( net-misc/curl[-ssl] )
+"
+DEPEND="
+ php_targets_php8-2? ( ${COMMON_DEPEND} dev-lang/php:8.2[session(-),iconv(-)] )
+ php_targets_php8-3? ( ${COMMON_DEPEND} dev-lang/php:8.3[session(-),iconv(-)] )
+ php_targets_php8-4? ( ${COMMON_DEPEND} dev-lang/php:8.4[session(-),iconv(-)] )
+ php_targets_php8-5? ( ${COMMON_DEPEND} dev-lang/php:8.5[session(-),iconv(-)] )"
+RDEPEND="${DEPEND}"
+
+PHP_EXT_ECONF_ARGS=( --with-http --without-http-shared-deps
+ --without-http-libidn-dir --without-http-libicu-dir
+ --without-http-libidnkit2-dir --without-http-libidnkit-dir )
+
+src_prepare() {
+ php-ext-source-r3_src_prepare
+
+ # Respect LDFLAGS, bug 727134
+ export EXTRA_LDFLAGS="${LDFLAGS}"
+}
+
+src_test() {
+ # Cannot use eclass function due to required modules
+ # All tests SKIP otherwise
+ local slot
+ for slot in $(php_get_slots); do
+ php_init_slot_env "${slot}"
+
+ # Link in required modules for testing
+ ln -s "${EXT_DIR}/raphf.so" "modules/raphf.so" || die
+
+ sed -i \
+ 's/PHP_TEST_SHARED_EXTENSIONS)/PHP_TEST_SHARED_EXTENSIONS) -d extension=raphf/' \
+ Makefile || die
+
+ SKIP_ONLINE_TESTS=yes NO_INTERACTION="yes" emake test
+
+ # Clean up testing links
+ rm modules/raphf.so || die
+ done
+}